# Streaming Decision Trees & Forests

[![arXiv](https://img.shields.io/badge/arXiv-2110.08483-red.svg?style=flat)](https://arxiv.org/abs/2110.08483)
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.5557864.svg)](https://doi.org/10.5281/zenodo.5557864)
[![PyPI version](https://img.shields.io/pypi/v/sdtf.svg)](https://pypi.org/project/sdtf/)
[![CircleCI](https://circleci.com/gh/neurodata/SDTF/tree/main.svg?style=shield)](https://circleci.com/gh/neurodata/SDTF/tree/main)
[![Netlify](https://img.shields.io/netlify/b47deb03-9e70-4684-a0a1-bbafdbcf6d49)](https://app.netlify.com/sites/sdtf/deploys)
[![Python](https://img.shields.io/pypi/pyversions/sdtf)](https://www.python.org/downloads/)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)
[![License](https://img.shields.io/badge/License-MIT-blue)](https://opensource.org/licenses/MIT)
[![Downloads](https://img.shields.io/pypi/dm/sdtf.svg)](https://pypi.org/project/sdtf/#files)

`SDTF` (**S**treaming **D**ecision **T**rees & **F**orests) is for exploring streaming options of decision trees and random forests.

The package includes two ensemble implementations (**Stream Decision Forest** and **Cascade Stream Forest**).

Based on `scikit-learn` [fork](https://github.com/PSSF23/scikit-learn-stream/tree/stream).

- **Documentation:** https://sdtf.neurodata.io/
- **Installation Guide:** https://sdtf.neurodata.io/#install
- **Benchmark Visual:** https://sdtf.neurodata.io/visual.html
- **API Reference:** https://sdtf.neurodata.io/api.html
